from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.i18n import XLocaleData3

@runtime_checkable
class XLocaleData4(XLocaleData3, Protocol):
    def getDateAcceptancePatterns(self, aLocale: Locale) -> list[str]: ...
